# RoadTypeInfo Struct Reference

Structure holding information per roadtype for several functions. More...

## Data Fields
StringID | err_build_road
| Building a normal piece of road.
StringID | err_remove_road
| Removing a normal piece of road.
StringID | err_depot
| Building a depot.
StringID | err_build_station [2]
| Building a bus or truck station.
StringID | err_remove_station [2]
| Removing of a bus or truck station.
StringID | picker_title [2]
| Title for the station picker for bus or truck stations.
StringID | picker_tooltip [2]
| Tooltip for the station picker for bus or truck stations.
SpriteID | cursor_nesw
| Cursor for building NE and SW bits.
SpriteID | cursor_nwse
| Cursor for building NW and SE bits.
SpriteID | cursor_autoroad
| Cursor for building autoroad.

## Detailed Description

Structure holding information per roadtype for several functions.

Definition at line 130 of file road_gui.cpp.

The documentation for this struct was generated from the following file:

- src/road_gui.cpp